Package: org.apache.groovy.swing.binding

## [Java] Class ClosureTriggerBinding

- org.apache.groovy.swing.binding.ClosureTriggerBinding

- All Implemented Interfaces and Traits:
    SourceBinding, TriggerBinding

      public class ClosureTriggerBinding
      extends Object
      implements SourceBinding, TriggerBinding

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureTriggerBinding(Map<String, TriggerBinding> syntheticBindings)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public Closure` | `getClosure()`
    `` | `public Object` | `getSourceValue()`
    `` | `public Closure` | `run()`
    `` | `public void` | `setClosure(Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClosureTriggerBinding(Map<String, TriggerBinding> syntheticBindings)

  - ### Method Detail

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### public Closure getClosure()

    - #### @Override
      public Object getSourceValue()

    - #### @Override
      public Closure run()

    - #### public void setClosure(Closure closure)